WordPress.org

Make WordPress Core

Changeset 11040


Ignore:
Timestamp:
04/21/09 23:12:57 (6 years ago)
Author:
markjaquith
Message:

Drop the dual-use of db_version. Now it just stores the version. Post-upgrade hook triggered by separate binary db_upgraded option. fixes #9618

Location:
trunk/wp-admin
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • trunk/wp-admin/admin.php

    r10988 r11040  
    1919    require_once('../wp-load.php'); 
    2020 
    21 if ( get_option('db_version') == 'db_upgraded' ) { 
     21if ( get_option('db_upgraded') ) { 
    2222    $wp_rewrite->flush_rules(); 
    23     update_option('db_version', $wp_db_version); 
     23    update_option( 'db_upgraded',  false ); 
    2424 
    2525    /** 
  • trunk/wp-admin/includes/upgrade.php

    r10948 r11040  
    345345    maybe_disable_automattic_widgets(); 
    346346 
    347     update_option('db_version', 'db_upgraded'); 
     347    update_option( 'db_version', $wp_db_version ); 
     348    update_option( 'db_upgraded', true ); 
    348349} 
    349350 
Note: See TracChangeset for help on using the changeset viewer.